; NEAT.LSP
; Cleans up wall (parallel line) intersections
; Part of the Walls 1.3 utilities.
; For AutoCAD 2.6 and later.
; Read WALLS.DOC for instructions
; Copyright 1988 Alacrity

(defun c:NEAT (/ pt1 pt2 lst linint intlst i j num ss)
   (store)
   (setvar "CmdEcho" 0)
   (setvar "OsMode" 0)
   (setvar "SnapMode" 0)
   (setvar "PickBox" 1)
   (setvar "FilletRad" 0)
   (initget 1)
   (setq pt1 (getpoint "\nFirst corner: "))
   (initget 1)
   (setq pt2 (getcorner pt1 "\nOther corner: "))
   (setq ss (ssget "C" pt1 pt2))
   (setq num (sslength ss) i 0)
   (while (< i num)
      (setq ent (entget (ssname ss i)))
      (if (= (cdr (assoc 0 ent)) "LINE")
           (progn
           (setq lst (cons (list (cdr (assoc 10 ent))
                 (cdr (assoc 11 ent))) lst))
           (setq i (1+ i))
           )
           (progn
           (ssdel (ssname ss i) ss)
           (setq num (1- num))
           )
      )
  )
  (setq i 0)
  (while (< i num)
      (setq j 0 intlst nil)
      (while (< j num)
          (if (setq int (inters (car (nth i lst)) (cadr (nth i lst))
               (car (nth j lst)) (cadr (nth j lst)) T))
               (setq intlst (cons int intlst))
          )
          (setq j (1+ j))
       )
       (setq linint (cons intlst linint) i (1+ i))
  )
  (setq i 0 lst nil)
  (while (< i num)
      (if (> (length (setq intlst (nth i linint))) 1)
           (progn
           (setq pt1 (car intlst) pt2 (cadr intlst))
           (command "BREAK" (polar pt1 (angle pt1 pt2)
           (/ (distance pt1 pt2) 2)) "F" pt1 pt2)
           )
           (setq lst (cons (car intlst) lst))
      )
      (setq i (1+ i))
  )
  (setq num (length lst) i 0)
  (while (< i num)
       (command "FILLET" (nth i lst) "@")
       (setq i (1+ i))
  )
  (restore)
)
