; RELITE.LSP
; Generates a relite window symbol in a wall 
; For use with AutoCAD 2.6 and later.
; This routine a part of the Walls 1.3 utilities.
; Read WALLS.DOC for instructions.
; Copyright 1988 Alacrity

(defun c:RELITE (/ p1 p2 p3 p4 side a ang dist)
    (store)
    (setvar "CmdEcho" 0)
    (initget "No Yes")
    (if (equal (setq a (getkword "\nRemove wall? No/<Yes>:")) "")
       (setq a nil)
    )
    (brkwall "Width of relite" a a)
    (setq dist (/ (distance p1 p2) 2))
    (command "LINE" (polar p1 ang dist) (polar p3 ang dist) "")
    (restore)
)   

